API Explorer 936 endpoints

Get all Accounts at all Banks

GET /obp/v7.0.0/accounts

OBPv2.0.0-getPrivateAccountsAllBanks No role required AccountPrivateDataPublicDataOld-Style

Get all accounts at all banks the User has access to. Returns the list of accounts at that the user has access to at all banks. For each account the API returns the account ID and the available views.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (7)
accounts
bank_id
gh.29.uk
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
label
My Account
short_name
views_available
Example success response
{
  "accounts": [
    {
      "id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
      "label": "NoneLabel",
      "bank_id": "gh.29.uk",
      "views_available": [
        {
          "id": "1",
          "short_name": "HHH",
          "is_public": true
        }
      ]
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv2.0.0 getPrivateAccountsAllBanks Originally /obp/v2.0.0/accounts